resources.effectiveConfig
GET
/resources/{resourceId}/effective-config
const url = 'https://example.com/api/resources/example/effective-config';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/resources/example/effective-configReads the masked effective configuration for one resource. Public docs: /docs/environments/variables/precedence/#environment-variable-precedence
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” resourceId
required
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
schemaVersion
required
string
resourceId
required
string
environmentId
required
string
ownedEntries
required
Array<object>
object
key
required
string
value
required
string
scope
required
string
exposure
required
string
isSecret
required
boolean
kind
required
string
updatedAt
string
effectiveEntries
required
Array<object>
object
key
required
string
value
required
string
scope
required
string
exposure
required
string
isSecret
required
boolean
kind
required
string
updatedAt
string
precedence
required
Array<string>
generatedAt
required
string
Example
{ "schemaVersion": "resources.effective-config/v1", "ownedEntries": [ { "exposure": "build-time" } ], "effectiveEntries": [ { "exposure": "build-time" } ]}